---
title: Control Panel
description: This is a page that controls the progress bar
---

This is a page that controls the progress bar and how it will look like.

<div style="text-align: center;">
    <div class="w-30 reveal-on-hover pixelated" style="display: inline-block;" id="qrcode"></div>
    <div class="requirements f6 gray glow i ph3 overflow-hidden">
        Hover your mouse over the square to reveal the QR Code
    </div>
    <div class="requirements f6 gray glow i ph3 overflow-hidden">
        It contains the link to this page
    </div>
    <div class="requirements f6 gray glow i ph3 overflow-hidden">
        Scan with your phone's camera
    </div>
</div>

<script>
function addJS(name) {
    var node=document.createElement('script');
    node.setAttribute('type','text/javascript');
    node.setAttribute('src', name);
    document.head.appendChild(node);
}
function addCSS(name) {
    var node=document.createElement('link');
    node.setAttribute('rel', 'stylesheet');
    node.setAttribute('type', 'text/css');
    node.setAttribute('href', name);
    document.head.appendChild(node);
}
addCSS('/css/control.css');
addJS('/js/qrcode.js');
addJS('/js/sharedWebSocket.js');
addJS('/js/control.js');
var qr;
function keepQrCodeUpdated(){
    if(!window.QRCode) setTimeout(keepQrCodeUpdated, 10);
    else {
        qr = new QRCode(document.getElementById('qrcode'));
        qr.makeCode(window.document.location.toString());
    }
}
setTimeout(keepQrCodeUpdated, 10);
</script>

## Settings' persistence

<form id="persistence" class="black-80 sans-serif w-100" onsubmit="return false;">
    <label for="btn-save" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Export current settings to a file
    </label>
    <input id="btn-save" type="button" class="w-100 mv2 white pa3 bn hover-shadow hover-bg-black bg-animate bg-black" value="Save" style="cursor: pointer;" onclick="return saveSettings();">
    <label for="btn-load" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Load previous settings from a file
    </label>
    <input id="btn-load" type="file" class="w-90 f5 pv3 ph3 bg-light-gray bn" style="cursor: pointer;" onchange="return loadSettings(this);">
    <div class="requirements f6 gray glow i ph3 overflow-hidden">
        Drag-and-drop is supported
    </div>
</form>

## Styling

<form class="form" class="black-80 sans-serif w-100" onsubmit="return false;">
    <label for="fontFamily" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Font-family
    </label>
    <input id="fontFamily" name="fontFamily" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="sans-serif" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="baseFontSize" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Base font-size (in REMs)
    </label>
    <input id="baseFontSize" name="baseFontSize" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="1.2" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="baseFontWeight" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Base font-weight
    </label>
    <input id="baseFontWeight" name="baseFontWeight" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="500" step="50" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="cardMargin" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Card margin
    </label>
    <input id="cardMargin" name="cardMargin" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="1.2" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="cardPadding" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Card padding
    </label>
    <input id="cardPadding" name="cardPadding" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="1.2" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()"><label for="cardBorderRadius" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Card border radius
    </label>
    <input id="cardBorderRadius" name="cardBorderRadius" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="0.25" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="cardColor" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Card background color
    </label>
    <input id="cardColor" name="cardColor" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="#00000080" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="timeWidth" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Time width
    </label>
    <input id="timeWidth" name="timeWidth" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="4" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="timeStartColor" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Time start color
    </label>
    <input id="timeStartColor" name="timeStartColor" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="#1a1a1a" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="timeFinishColor" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Time finish color
    </label>
    <input id="timeFinishColor" name="timeFinishColor" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="#333333" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="titleFontSize" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Title Font Size
    </label>
    <input id="titleFontSize" name="titleFontSize" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="1.5" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="titleFontColor" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Title font color
    </label>
    <input id="titleFontColor" name="titleFontColor" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="#000000" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="subtitleFontSize" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Subtitle Font Size
    </label>
    <input id="subtitleFontSize" name="subtitleFontSize" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="0.85" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="subtitleFontColor" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Subtitle font color
    </label>
    <input id="subtitleFontColor" name="subtitleFontColor" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="#333333" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="placeFontSize" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Place Font Size
    </label>
    <input id="placeFontSize" name="placeFontSize" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="0.75" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="placeFontColor" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Place font color
    </label>
    <input id="placeFontColor" name="placeFontColor" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="#1a1a1a" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
</form>

## Content

<form class="form" class="black-80 sans-serif w-100" onsubmit="return false;">
    <label for="tab" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Event stream tab
    </label>
    <input type="radio" onclick="broadcastChanges()" onchange="broadcastChanges()" name="tab" value="current" checked> Current <br>
    <input type="radio" onclick="broadcastChanges()" onchange="broadcastChanges()" name="tab" value="upcoming"> Upcoming <br>
    <label for="language" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Display Language
    </label>
    <input type="radio" onclick="broadcastChanges()" onchange="broadcastChanges()" name="language" value="pt" checked> PT <br>
    <input type="radio" onclick="broadcastChanges()" onchange="broadcastChanges()" name="language" value="en"> EN <br>
    <input type="radio" onclick="broadcastChanges()" onchange="broadcastChanges()" name="language" value="es"> ES <br>
    <label for="scheduleUrl" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Schedule URL
    </label>
    <input id="scheduleUrl" name="scheduleUrl" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()"  value="https://events.furmeet.app/api/conventions/bff/minified.json">
    <label for="fallbackDescription" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Fallback Description
    </label>
    <input id="fallbackDescription" name="fallbackDescription" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()"  value="sem descrição">
    <label for="dateOverride" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Date override
    </label>
    <input type="radio" onclick="broadcastChanges()" onchange="broadcastChanges()" name="dateOverrideBool" value="N" checked> Use system clock <br>
    <input type="radio" onclick="broadcastChanges()" onchange="broadcastChanges()" name="dateOverrideBool" value="Y"> Use specified test date: <br>
    <input id="dateOverride" name="dateOverride" type="datetime-local" class="w-100 f5 pv3 ph3 bg-light-gray bn" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()" value="2023-07-15 19:00:00">
</form>

## Currently on screen

<iframe id="preview_frame" class="w-100 f5 bg-light-gray bn" src="" title="Preview" style="height: 75vh;"></iframe>
